org.apache.maven.scm.provider.hg

## Class HgConfig

- java.lang.Object
- - org.apache.maven.scm.provider.hg.HgConfig

    public class HgConfig
    extends Object

Check hg installation.

Author:
  thurner rupert, ryan daum

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.apache.maven.scm.provider.hg.HgConfig.HgVersionConsumer` `getHgVersion(File workingDir)`
`String` `toString(File workingDir)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getHgVersion

    public static org.apache.maven.scm.provider.hg.HgConfig.HgVersionConsumer getHgVersion(File workingDir)
                                                                                    throws ScmException

Throws:
  `ScmException`

#### toString

    public String toString(File workingDir)